---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/Scenes/06_Town/Anim/z_papper_plane/"
---------------------------------------------------------------------------------------
createCompositionlents = nil
createCompositionPh3_loc6_zoom_paperplane_BG = nil
---------------------------------------------------------------------------------------
createCompositionlents = function()
	local compositionlents = CreateCompositionSequence()
	local compositionDuration = 8
	compositionlents:setDuration(compositionDuration)
	compositionlents:setName("compositionlents" )
	compositionlents:setBoundingBox( Rectanglef(0, 0, 640,480) )
 
	local element
	local effector
 
	-- Layer lujaB_[00000-00011].png/1
	element = CreateCompositionElement(PREFIX_PATH.."lujaB_[].png")
	element:setName("lujaB_[00000-00011].png/1")
	compositionlents:addElement(element)
	element:setHotSpot(5.5, 55)
	element:setParentElement(compositionlents)
	element:setXY(395.5, 342.5)
 
	element:setScale(0.43587254993283,1.02215112444291)
	element:setRotationRad(-1.84602869302528)
	element:setOpacity(0.27)
					local anim = element
					anim:setAnimationSize(339,94)
					anim:setFramesCount(12)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer lujaB_[00000-00011].png/2
	element = CreateCompositionElement(PREFIX_PATH.."lujaB_[].png")
	element:setName("lujaB_[00000-00011].png/2")
	compositionlents:addElement(element)
	element:setHotSpot(5.5, 55)
	element:setParentElement(compositionlents)
	element:setXY(487.5, 362.5)
 
	element:setScale(0.42463699288728,0.70193633553364)
	element:setRotationRad(-2.35795708425742)
	element:setOpacity(0.27)
					local anim = element
					anim:setAnimationSize(339,94)
					anim:setFramesCount(12)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer lujaB_[00000-00011].png/3
	element = CreateCompositionElement(PREFIX_PATH.."lujaB_[].png")
	element:setName("lujaB_[00000-00011].png/3")
	compositionlents:addElement(element)
	element:setHotSpot(5.5, 55)
	element:setParentElement(compositionlents)
	element:setXY(685, 475)
 
	element:setScale(1.08222501177845,1.67177026901027)
	element:setRotationRad(-2.49965623182132)
					local anim = element
					anim:setAnimationSize(339,94)
					anim:setFramesCount(12)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer lujaB_[00000-00011].png/4
	element = CreateCompositionElement(PREFIX_PATH.."lujaB_[].png")
	element:setName("lujaB_[00000-00011].png/4")
	compositionlents:addElement(element)
	element:setHotSpot(5.5, 55)
	element:setParentElement(compositionlents)
	element:setXY(550, 567)
 
	element:setScale(1.04893221475191,1.49839425252029)
	element:setRotationRad(-2.22936860721385)
					local anim = element
					anim:setAnimationSize(339,94)
					anim:setFramesCount(12)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer lujaB_[00000-00011].png/5
	element = CreateCompositionElement(PREFIX_PATH.."lujaB_[].png")
	element:setName("lujaB_[00000-00011].png/5")
	compositionlents:addElement(element)
	element:setHotSpot(5.5, 55)
	element:setParentElement(compositionlents)
	element:setXY(368, 569)
 
	element:setScale(1.04893221475191,1.49839425252029)
	element:setRotationRad(-1.69387028230778)
					local anim = element
					anim:setAnimationSize(339,94)
					anim:setFramesCount(12)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer lujaB_[00000-00011].png/6
	element = CreateCompositionElement(PREFIX_PATH.."lujaB_[].png")
	element:setName("lujaB_[00000-00011].png/6")
	compositionlents:addElement(element)
	element:setHotSpot(5.5, 55)
	element:setParentElement(compositionlents)
	element:setXY(178, 381)
 
	element:setScale(0.70383390353113,1.26783328045209)
	element:setRotationRad(-0.38148510926912)
					local anim = element
					anim:setAnimationSize(339,94)
					anim:setFramesCount(12)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer lujaB_[00000-00011].png/7
	element = CreateCompositionElement(PREFIX_PATH.."lujaB_[].png")
	element:setName("lujaB_[00000-00011].png/7")
	compositionlents:addElement(element)
	element:setHotSpot(5.5, 55)
	element:setParentElement(compositionlents)
	element:setXY(-29, 371)
 
	element:setScale(1.22493471920228,1.27129345796308)
	element:setRotationRad(-0.17824375800848)
					local anim = element
					anim:setAnimationSize(339,94)
					anim:setFramesCount(12)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
	compositionlents:play()
 
	return compositionlents
end
 
createCompositionPh3_loc6_zoom_paperplane_BG = function()
	local compositionPh3_loc6_zoom_paperplane_BG = CreateCompositionSequence()
	local compositionDuration = 8
	compositionPh3_loc6_zoom_paperplane_BG:setDuration(compositionDuration)
	compositionPh3_loc6_zoom_paperplane_BG:setName("compositionPh3_loc6_zoom_paperplane_BG" )
	compositionPh3_loc6_zoom_paperplane_BG:setBoundingBox( Rectanglef(0, 0, 640,480) )
 
	local element
	local effector
 
	-- Layer smoke_[00000-00011].png/1
	element = CreateCompositionElement(PREFIX_PATH.."smoke_[].png")
	element:setName("smoke_[00000-00011].png/1")
	compositionPh3_loc6_zoom_paperplane_BG:addElement(element)
	element:setHotSpot(27, 42)
	element:setParentElement(compositionPh3_loc6_zoom_paperplane_BG)
	element:setXY(274, 276)
 
	element:setScale(8.93548387096775,10.6666666666667)
	element:setOpacity(0.65)
					local anim = element
					anim:setAnimationSize(58,44)
					anim:setFramesCount(12)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer nmu.png/2
	element = CreateCompositionElement(PREFIX_PATH.."nmu.png")
	element:setName("nmu.png/2")
	compositionPh3_loc6_zoom_paperplane_BG:addElement(element)
	element:setHotSpot(105, 82)
	element:setParentElement(compositionPh3_loc6_zoom_paperplane_BG)
	element:setXY(334, 234)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer m44.png/3
	element = CreateCompositionElement(PREFIX_PATH.."m44.png")
	element:setName("m44.png/3")
	compositionPh3_loc6_zoom_paperplane_BG:addElement(element)
	element:setHotSpot(48, 38)
	element:setParentElement(compositionPh3_loc6_zoom_paperplane_BG)
	element:setXY(575, 357)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer m33.png/4
	element = CreateCompositionElement(PREFIX_PATH.."m33.png")
	element:setName("m33.png/4")
	compositionPh3_loc6_zoom_paperplane_BG:addElement(element)
	element:setHotSpot(28, 21)
	element:setParentElement(compositionPh3_loc6_zoom_paperplane_BG)
	element:setXY(466, 339)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer m2.png/5
	element = CreateCompositionElement(PREFIX_PATH.."m2.png")
	element:setName("m2.png/5")
	compositionPh3_loc6_zoom_paperplane_BG:addElement(element)
	element:setHotSpot(66, 36)
	element:setParentElement(compositionPh3_loc6_zoom_paperplane_BG)
	element:setXY(523, 444)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer m.png/6
	element = CreateCompositionElement(PREFIX_PATH.."m.png")
	element:setName("m.png/6")
	compositionPh3_loc6_zoom_paperplane_BG:addElement(element)
	element:setHotSpot(121, 94)
	element:setParentElement(compositionPh3_loc6_zoom_paperplane_BG)
	element:setXY(207, 387)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer lents/7
	element = createCompositionlents()
	element:setName("lents/7")
	compositionPh3_loc6_zoom_paperplane_BG:addElement(element)
	element:setHotSpot(320, 240)
	element:setParentElement(compositionPh3_loc6_zoom_paperplane_BG)
	element:setXY(320, 240)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
	compositionPh3_loc6_zoom_paperplane_BG:play()
 
	return compositionPh3_loc6_zoom_paperplane_BG
end
 
